package com.qiankun.dao;

import java.util.List;

import com.qiankun.dao.core.Hints;
import com.qiankun.dao.core.IDao;
import com.qiankun.entity.Activity;
import com.qiankun.pages.IPageList;

public interface ActivityDao extends IDao<Activity, String> {

	IPageList<Activity> findActivityPage(String searchStr, String type, String order, String sort,
			Hints hints);

	List<Activity> findByAvailableAndType(Boolean available, String type);

    IPageList<Activity> findPageList(String userId, Hints hints);
}
